<?php
/**
 * Block Patterns
 *
 * @package yoga_trainer
 * @since 1.0
 */

function yoga_trainer_register_block_patterns() {
	$yoga_trainer_block_pattern_categories = array(
		'yoga-trainer' => array( 'label' => esc_html__( 'Yoga Trainer', 'yoga-trainer' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'yoga-trainer' ) ),
	);

	$yoga_trainer_block_pattern_categories = apply_filters( 'yoga_trainer_yoga_trainer_block_pattern_categories', $yoga_trainer_block_pattern_categories );

	foreach ( $yoga_trainer_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'yoga_trainer_register_block_patterns', 9 );